#pragma once
#include <SDL/SDL.h>
#include "gamestate.h"

class CIntroState : public CGameState
{
    SDL_Surface* bg;

public:
	CIntroState() { }

	void Init();
	void Cleanup();

	void Pause();
	void Resume();

	void HandleEvents(CGameEngine* game);
	void Update(CGameEngine* game);
	void Draw(CGameEngine* game);
};
