#include "gameengine.h"
#include "introstate.h"

extern CIntroState introState;

int main ( int argc, char *argv[] )
{
	CGameEngine game;

	game.Init( "Engine Test v1.0" );

	game.ChangeState( &introState );

	while ( game.Running() )
	{
		game.HandleEvents();
		game.Update();
		game.Draw();
	}

	game.Cleanup();

	return 0;
}


void Terminate(void)
{
	SDL_Quit();
#ifdef GP2X
	chdir("/usr/gp2x");
	execl("/usr/gp2x/gp2xmenu", "/usr/gp2x/gp2xmenu", NULL);
#endif
}
