#pragma once
#include <SDL/SDL.h>
#include "gamestate.h"

class CMenuState : public CGameState
{
    SDL_Surface* bg;
    static CMenuState m_MenuState;

public:
	CMenuState() { }

	void Init();
	void Cleanup();

	void Pause();
	void Resume();

	void HandleEvents(CGameEngine* game);
	void Update(CGameEngine* game);
	void Draw(CGameEngine* game);
	static CMenuState* Instance() {
		return &m_MenuState;
	}
};
