#pragma once
#include <SDL/SDL.h>
#include "gamestate.h"

class CPlayState : public CGameState
{
public:
	void Init();
	void Cleanup();

	void Pause();
	void Resume();

	void HandleEvents(CGameEngine* game);
	void Update(CGameEngine* game);
	void Draw(CGameEngine* game);

	static CPlayState* Instance() {
		return &m_PlayState;
	}

	CPlayState() { }

private:
	static CPlayState m_PlayState;
	bool turn;
	SDL_Surface* player;
	int mx, my, px, py;
	float degree;
	int radius;
};

